import {
  queryKeysFactory
} from "./chunk-ZA2KFUFR.js";
import {
  sdk
} from "./chunk-DTGEFKK4.js";

// src/hooks/api/price-preferences.tsx
import {
  useMutation,
  useQuery
} from "@tanstack/react-query";
var PRICE_PREFERENCES_QUERY_KEY = "price-preferences";
var pricePreferencesQueryKeys = queryKeysFactory(
  PRICE_PREFERENCES_QUERY_KEY
);
var usePricePreferences = (query, options) => {
  const { data, ...rest } = useQuery({
    queryFn: () => sdk.vendor.pricePreferences.query({ ...query }),
    queryKey: pricePreferencesQueryKeys.list(query),
    ...options
  });
  return { ...data, ...rest };
};

export {
  usePricePreferences
};
